This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 305471 - libjasper crash viewing a jpeg2000 file
libjasper crash viewing a jpeg2000 file
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: jasper (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-25 12:46 EDT by Ville Skyttä
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-03 08:51:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backtrace of libjasper crash (4.38 KB, patch)
2007-09-25 12:46 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2007-09-25 12:46:40 EDT
Get http://www.fnordware.com/j2k/relax.jp2 from
http://www.fnordware.com/j2k/jp2samples.html , try to view it with an app that
uses jasper such as jiv -> crash (assertion failure).

$ rpm -q jasper
jasper-1.900.1-2.fc7.x86_64

$ jiv relax.jp2
ICC Profile CS 52474220
jiv: jp2_dec.c:299: jp2_decode: Assertion `dec->image->cmprof_' failed.
Aborted (core dumped)

Backtrace attached.
Comment 1 Ville Skyttä 2007-09-25 12:46:40 EDT
Created attachment 205661 [details]
Backtrace of libjasper crash
Comment 2 Rex Dieter 2007-10-01 09:17:46 EDT
Here's the comment I received on the jasper ml:
      "Image was produce by Kakadu 3.2. None of new Kakadu software 
(http://www.kakadusoftware.com/) could display it correctly. So it 
must be a wrong encoded image in early implementation."

So, the evidence (so far) points to an incorrect image, Closing->NOTABUG.

Please reopen if you find other examples on non-working jp2 images.
Comment 3 Ville Skyttä 2007-10-01 11:59:49 EDT
If the image is faulty, not displaying and gracefully erroring out would be
fine, but I think crashing/aborting is definitely not ok (DoS, ditto possibly
for apps that are linked against libjasper, such as kdelibs...)
Comment 4 Rex Dieter 2007-10-03 08:51:56 EDT
upstream has been notified.

Note You need to log in before you can comment on or make changes to this bug.